Bug 1410498 - g++ -print-file-name=plugin uses full version number in path
Summary: g++ -print-file-name=plugin uses full version number in path
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 15:42 UTC by Dave Johansen
Modified: 2017-03-01 20:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-01 20:43:10 UTC
Type: Bug


Attachments (Terms of Use)
gcc patch for version from OpenSUSE (5.09 KB, patch)
2017-01-06 04:53 UTC, Dave Johansen
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
GNU Compiler Collection 79046 0 None None None 2017-01-10 17:25:30 UTC

Description Dave Johansen 2017-01-05 15:42:07 UTC
g++ -print-file-name=plugin uses the full version number in the path when just the major version number is all that's required for compatibility. This means that plugins have to require the specific version of gcc and have to be rebuild after every update to gcc. For what it's worth, gcc on Ubuntu only uses the major version number ( see https://bugzilla.redhat.com/show_bug.cgi?id=1408943#c9 ).

Comment 1 Jakub Jelinek 2017-01-05 15:55:25 UTC
That is the standard behavior of gcc.  Ubuntu+SuSE use some hack that has never been submitted upstream.

Comment 2 Dave Johansen 2017-01-06 04:53:58 UTC
Created attachment 1237858 [details]
gcc patch for version from OpenSUSE

Taken from http://download.opensuse.org/source/distribution/leap/42.2/repo/oss/suse/src/gcc6-6.1.1+r238085-1.12.src.rpm

Comment 3 Dave Johansen 2017-01-06 04:54:51 UTC
(In reply to Jakub Jelinek from comment #1)
> That is the standard behavior of gcc.  Ubuntu+SuSE use some hack that has
> never been submitted upstream.

I attached the patch from OpenSUSE that I believe is changing the directory. Can that be flowed upstream?

Comment 4 Dave Johansen 2017-01-10 17:25:31 UTC
I opened a bugzilla for gcc.

Comment 5 MM 2017-02-25 17:05:48 UTC
Just curious here, was there some progress?

Comment 6 Dave Johansen 2017-02-26 05:50:30 UTC
gcc 7 in Fedora Rawhide (26) now just uses the major version as the plugin path. You can see the details in the linked to gcc bugzilla.

Comment 7 Fedora End Of Life 2017-02-28 10:53:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.


Note You need to log in before you can comment on or make changes to this bug.